Loading...
Searching...
No Matches
etl::chrono::year_month_weekday_last Class Reference

year_month_weekday_last More...

`#include <year_month_weekday.h>`

## Public Member Functions

ETL_CONSTEXPR14 | year_month_weekday_last (const etl::chrono::year &y_, const etl::chrono::month &m_, const etl::chrono::weekday_last &wdl_) ETL_NOEXCEPT
| Construct from year, month, weekday_last.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::year | year () const ETL_NOEXCEPT
| Returns the year.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::month | month () const ETL_NOEXCEPT
| Returns the month.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday | weekday () const ETL_NOEXCEPT
| Returns the weekday.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday_last | weekday_last () const ETL_NOEXCEPT
| Returns the weekday_last.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last & | operator+= (const etl::chrono::years &dy) ETL_NOEXCEPT
| Adds etl::chrono::years.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last & | operator+= (const etl::chrono::months &dm) ETL_NOEXCEPT
| Adds etl::chrono::months.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last & | operator-= (const etl::chrono::years &dy) ETL_NOEXCEPT
| Subtracts etl::chrono::years.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last & | operator-= (const etl::chrono::months &dm) ETL_NOEXCEPT
| Subtracts etl::chrono::months.
ETL_NODISCARD ETL_CONSTEXPR14 | operator etl::chrono::sys_days () const ETL_NOEXCEPT
| Converts to etl::chrono::sys_days.
ETL_NODISCARD ETL_CONSTEXPR14 | operator etl::chrono::local_days () const ETL_NOEXCEPT
| Converts to etl::chrono::local_days.

## Detailed Description

year_month_weekday_last

The documentation for this class was generated from the following file:

- include/etl/private/chrono/year_month_weekday.h